<?php

namespace Assetdocs\Assetsrequest\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Assetreqhd policy
        \Assetdocs\Assetsrequest\Models\Assetreqhd::class => \Assetdocs\Assetsrequest\Policies\AssetreqhdPolicy::class,// Bind Assetreqdtl policy
        \Assetdocs\Assetsrequest\Models\Assetreqdtl::class => \Assetdocs\Assetsrequest\Policies\AssetreqdtlPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
